typedef unsigned int unit;

typedef struct Atom Atom;

struct Atom {
  char name[16];
  char value[64];
  Atom* next;
};

typedef struct Universe {
  Atom* atoms[256];
} Universe;

Universe* create_universe();
Universe* parse_universe(char* cart, char* realm_name);
void save_universe(char* cart, Universe* self, char* realm_name);
void set_atom(Universe* self, Atom* atom);
Atom* get_atom(Universe* self, char* name);
void remove_atom(Universe* self, char* name);
void destroy_universe(Universe* self);
